Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 74438 - up2date does not check sufficiently well whether updates were actually carried out
Summary: up2date does not check sufficiently well whether updates were actually carrie...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-24 12:56 UTC by Need Real Name
Modified: 2007-04-18 16:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-20 19:43:59 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-09-24 12:56:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
I usually have /usr mounted read-only. Obviously up2date can't update much if I
run it while it's still ro. Every now and then I forget to remount it rw before
running up2date. Then it downloads all packages and says they are installed
successfully -- which they aren't (and shouldn't be).

Version-Release number of selected component (if applicable):2.7.61-7.x.1


How reproducible:
Always

Steps to Reproduce:
1. Make sure up2date needs to update a package (say glibc).
2. (Re-)mount a partition read-only with a file on it that will be changed by
the update (say /usr).
3. Let up2date do its magic.


Actual Results:  up2date said glibc had been updated to version 2.2.4 release
29, but afterwards rpm said the version installed was still release 27.
Specifically, the time/date at which /lib/libc.so.6 had last been changed was
today, but rpm -qs reported state 'normal' for all files. So I guess rpm found
out it didn't work and rolled back to normal state.
Also, in the one-before-last screen, the progress bar for the total reached 100%
at the end, but the progress bar for the individual packages didn't reach 100%
(I guess the last package was stuck at 20% or so.) But up2date did say 'package
successfully installed'.

Expected Results:  It should have said 'install failed for package glibc' (and
all other failed packages).

Additional info:

Comment 1 Jeff Johnson 2003-09-15 04:12:23 UTC
rpm does not support R/O mounts. Off to up2date for
description of why the lack of an error is an rpm
problem. There should be a callback on file install error, working
(afaik) for anaconda.


Note You need to log in before you can comment on or make changes to this bug.